### Function

# Camel freeaddrinfo

since: 2.22

#### Declaration [src]

    void
    camel_freeaddrinfo (
      addrinfo* host
    )

#### Description [src]

Frees a structure returned with camel_getaddrinfo(). It does nothing when the `host` is `NULL`.

Available since: 2.22

#### Parameters

`host`

  Type: `addrinfo*`

  A host address information structure to free, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.